com.google.appengine.api.socket.dev

## Class DatagramSocketImplAccessor

- java.lang.Object
- - com.google.appengine.api.socket.dev.DatagramSocketImplAccessor

-     public class DatagramSocketImplAccessor
      extends java.lang.Object

  Wraps a `DatagramSocketImpl` to provide access to methods to `LocalDatagramSocket`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatagramSocketImplAccessor(java.net.DatagramSocketImpl socketImpl)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `bind(int lport, java.net.InetAddress laddr)`
    `protected void` | `close()`
    `protected void` | `connect(java.net.InetAddress address, int port)`
    `protected void` | `create()`
    `int` | `getLocalPort()`
    `java.lang.Object` | `getOption(int optID)`
    `protected int` | `getTimeToLive()`
    `protected byte` | `getTTL()`
    `protected void` | `join(java.net.InetAddress inetaddr)`
    `protected void` | `joinGroup(java.net.SocketAddress mcastaddr, java.net.NetworkInterface netIf)`
    `protected void` | `leave(java.net.InetAddress inetaddr)`
    `protected void` | `leaveGroup(java.net.SocketAddress mcastaddr, java.net.NetworkInterface netIf)`
    `static DatagramSocketImplAccessor` | `newSocketImplAccessor()`
    `protected int` | `peek(java.net.InetAddress i)`
    `protected int` | `peekData(java.net.DatagramPacket p)`
    `protected void` | `receive(java.net.DatagramPacket p)`
    `protected void` | `send(java.net.DatagramPacket p)`
    `void` | `setOption(int optID, java.lang.Object value)`
    `protected void` | `setTimeToLive(int ttl)`
    `protected void` | `setTTL(byte ttl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatagramSocketImplAccessor

          public DatagramSocketImplAccessor(java.net.DatagramSocketImpl socketImpl)

  - ### Method Detail

    - #### newSocketImplAccessor

          public static DatagramSocketImplAccessor newSocketImplAccessor()

    - #### setOption

          public void setOption(int optID,
                       java.lang.Object value)
                         throws java.net.SocketException

      Throws:
        `java.net.SocketException`
      See Also:
        `SocketOptions.setOption(int, java.lang.Object)`

    - #### getOption

          public java.lang.Object getOption(int optID)
                                     throws java.net.SocketException

      Throws:
        `java.net.SocketException`
      See Also:
        `SocketOptions.getOption(int)`

    - #### create

          protected void create()
                         throws java.net.SocketException

      Throws:
        `java.net.SocketException`
      See Also:
        `DatagramSocketImpl.create()`

    - #### bind

          protected void bind(int lport,
                  java.net.InetAddress laddr)
                       throws java.net.SocketException

      Throws:
        `java.net.SocketException`
      See Also:
        `DatagramSocketImpl.bind(int, java.net.InetAddress)`

    - #### send

          protected void send(java.net.DatagramPacket p)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.send(java.net.DatagramPacket)`

    - #### peek

          protected int peek(java.net.InetAddress i)

      See Also:
        `DatagramSocketImpl.peek(java.net.InetAddress)`

    - #### peekData

          protected int peekData(java.net.DatagramPacket p)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.peekData(java.net.DatagramPacket)`

    - #### receive

          protected void receive(java.net.DatagramPacket p)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.receive(java.net.DatagramPacket)`

    - #### setTTL

          protected void setTTL(byte ttl)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.setTTL(byte)`

    - #### getTTL

          protected byte getTTL()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.getTTL()`

    - #### setTimeToLive

          protected void setTimeToLive(int ttl)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.setTimeToLive(int)`

    - #### getTimeToLive

          protected int getTimeToLive()
                               throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.getTimeToLive()`

    - #### join

          protected void join(java.net.InetAddress inetaddr)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.join(java.net.InetAddress)`

    - #### leave

          protected void leave(java.net.InetAddress inetaddr)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.leave(java.net.InetAddress)`

    - #### joinGroup

          protected void joinGroup(java.net.SocketAddress mcastaddr,
                       java.net.NetworkInterface netIf)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.joinGroup(java.net.SocketAddress, java.net.NetworkInterface)`

    - #### leaveGroup

          protected void leaveGroup(java.net.SocketAddress mcastaddr,
                        java.net.NetworkInterface netIf)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `DatagramSocketImpl.leaveGroup(java.net.SocketAddress, java.net.NetworkInterface)`

    - #### close

          protected void close()

      See Also:
        `DatagramSocketImpl.close()`

    - #### getLocalPort

          public int getLocalPort()

      Returns:

    - #### connect

          protected void connect(java.net.InetAddress address,
                     int port)
                          throws java.net.SocketException

      Throws:
        `java.net.SocketException`